import secret_loader

secrets = secret_loader.SecretLoader()


def has_secrets():
    return secrets.load('FAVRO_ORGANIZATION_ID') is not None


def favro_org_id():
    return secrets.load_or_fail('FAVRO_ORGANIZATION_ID')


def favro_username():
    return secrets.load_or_fail('FAVRO_USERNAME')


def favro_password():
    return secrets.load_or_fail('FAVRO_PASSWORD')


def favro_collection_filter() -> frozenset[str]:
    loaded = secrets.load('FAVRO_COLLECTION_FILTER')
    if loaded is None:
        return None
    values = loaded.strip().split('\n')
    values = [v.strip() for v in values]
    values = [v for v in values if v]
    return frozenset(values)
